Bug 1026255 - [abrt] rhythmbox-3.0-3.fc20: _g_log_abort: Process /usr/bin/rhythmbox was killed by signal 6 (SIGABRT)
[abrt] rhythmbox-3.0-3.fc20: _g_log_abort: Process /usr/bin/rhythmbox was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:94bdd45fbd61330d144e941e3d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 04:36 EST by Lars Ivarsson
Modified: 2015-06-29 08:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.49 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: core_backtrace (31.45 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: dso_list (24.30 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: environ (1.38 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: maps (105.00 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: open_fds (2.19 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details
File: var_log_messages (4.60 KB, text/plain)
2013-11-04 04:37 EST, Lars Ivarsson
no flags Details

  None (edit)
Description Lars Ivarsson 2013-11-04 04:36:53 EST
Description of problem:
Start Rhythmbox
Choose to listen to radio or locally stored music.
Press play button or double click on the radiostation of choice and watch Rhythmbox crash.

Version-Release number of selected component:
rhythmbox-3.0-3.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: _g_log_abort
executable:     /usr/bin/rhythmbox
kernel:         3.11.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 gdk_cairo_surface_paint_pixbuf at gdkcairo.c:192
 #6 gdk_cairo_set_source_pixbuf at gdkcairo.c:337
 #7 prepare_image at rb-fading-image.c:102
 #8 render_current at rb-fading-image.c:180
 #9 composite_into_current at rb-fading-image.c:652
 #10 rb_fading_image_set_pixbuf at rb-fading-image.c:685
 #11 art_cb at rb-header.c:461
 #12 answer_request at rb-ext-db.c:137
 #13 store_request_cb at rb-ext-db.c:771
Comment 1 Lars Ivarsson 2013-11-04 04:37:01 EST
Created attachment 819017 [details]
File: backtrace
Comment 2 Lars Ivarsson 2013-11-04 04:37:04 EST
Created attachment 819018 [details]
File: cgroup
Comment 3 Lars Ivarsson 2013-11-04 04:37:07 EST
Created attachment 819019 [details]
File: core_backtrace
Comment 4 Lars Ivarsson 2013-11-04 04:37:11 EST
Created attachment 819020 [details]
File: dso_list
Comment 5 Lars Ivarsson 2013-11-04 04:37:14 EST
Created attachment 819021 [details]
File: environ
Comment 6 Lars Ivarsson 2013-11-04 04:37:19 EST
Created attachment 819023 [details]
File: limits
Comment 7 Lars Ivarsson 2013-11-04 04:37:23 EST
Created attachment 819024 [details]
File: maps
Comment 8 Lars Ivarsson 2013-11-04 04:37:26 EST
Created attachment 819025 [details]
File: open_fds
Comment 9 Lars Ivarsson 2013-11-04 04:37:29 EST
Created attachment 819026 [details]
File: proc_pid_status
Comment 10 Lars Ivarsson 2013-11-04 04:37:32 EST
Created attachment 819027 [details]
File: var_log_messages
Comment 11 Jean-François Fortin Tam 2013-11-14 17:10:53 EST
Upstream bug report is https://bugzilla.gnome.org/show_bug.cgi?id=710493
Comment 12 Shawn 2013-12-21 15:23:29 EST
For me, this was related to album art. I had disabled album art by going to view->album art and un-checking it. After that, every file that had album art attached would crash rhythmbox when I tried to play it. I've just decided to turn album art back on for now.
Comment 13 Fedora End Of Life 2015-05-29 05:41:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:48:21 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.